<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: Class Members - Variables</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>_background
: <a class="el" href="class_behaviour.html#a93c2dc62b373e7d4b58c7cebded12f16">Behaviour</a>
</li>
<li>_interruptable
: <a class="el" href="class_behaviour.html#ab26c8020df403d81ff28d13e22b61c81">Behaviour</a>
</li>
<li>_name
: <a class="el" href="class_behaviour.html#ad6628fb93079b0f8e2ef4412a9046416">Behaviour</a>
</li>
<li>_priority
: <a class="el" href="class_behaviour.html#af1f8d319677a6935c28acbbea643c46c">Behaviour</a>
</li>
<li>_running
: <a class="el" href="class_behaviour.html#a4397ea529500c0c3259777ffa4a6bad2">Behaviour</a>
</li>
<li>_temp
: <a class="el" href="class_behaviour.html#acbe345ebc552c4f6875ec845d2697f9f">Behaviour</a>
</li>
<li>kEventClicked
: <a class="el" href="class_button.html#a41963b0ccc28009de8a46c52cad5b9b4">Button</a>
</li>
<li>kEventHeld
: <a class="el" href="class_button.html#a919fb4da7e37b23eaeb08b6194b2338c">Button</a>
</li>
<li>kEventPressed
: <a class="el" href="class_button.html#aeff212895aef4677c616d34494220e14">Button</a>
</li>
<li>kEventReleased
: <a class="el" href="class_button.html#a0c1101a90c59dd34cb05a6cdf94edaff">Button</a>
</li>
<li>kEventStableUpdate
: <a class="el" href="class_potentiometer.html#a4898ad98a6a277551036a8b9558533df">Potentiometer</a>
, <a class="el" href="class_rotary_encoder.html#a492bcf97569c21fe3b050d5ee05f5240">RotaryEncoder</a>
</li>
<li>kEventTick
: <a class="el" href="class_button.html#a0815fb27da6cee2d24f53f26155d0031">Button</a>
</li>
<li>kEventUnstableUpdate
: <a class="el" href="class_potentiometer.html#a06d7c4ac6942d9fad402d136f2bfa6ed">Potentiometer</a>
, <a class="el" href="class_rotary_encoder.html#acca85bf302bd19eb2357518d6ce53569">RotaryEncoder</a>
</li>
<li>key
: <a class="el" href="structkey_value_pair.html#adb85d53d7359451787af29909980521b">keyValuePair</a>
</li>
<li>num
: <a class="el" href="class_behaviour_table.html#ad9d97706571921853ee9264a4c8b5002">BehaviourTable</a>
</li>
<li>value
: <a class="el" href="structkey_value_pair.html#a771e4b495c89c99100848add7a58eea6">keyValuePair</a>
</li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
